* php HTTP 拡張モジュールのインストールをインストール(有効)にしているとダウンする [#b28bd9ef]

- ページ: [[BugTrack2]]
- 投稿者: 名無しさん
- 優先順位: 普通
- 状態: 提案
- カテゴリー: 本体バグ
- 投稿日: 2007-11-15 (木) 02:14:29
- バージョン: 

** メッセージ [#q22c774a]
php HTTP 拡張モジュールをインストール(有効に)しているとpukiwikiがダウンする(空ページ)

[[PHP関数:http-request]] ~
[[cvs:lib/proxy.php]]

原因
 関数名が重複しているため
 http_request

回避方法
 lib/pukiwiki.php
 // require(LIB_DIR . 'proxy.php');
 をコメントにする
 もしくは、
 php.iniをインストールフォルダに設置する。
 もしくは
 php HTTP 拡張モジュールをあんいんすとーるする
--------
-
 if(! function_exists('http_request')) {
         require(LIB_DIR . 'proxy.php');
 }
ではダメですか? -- [[よっちい]] &new{2007-11-15 (木) 20:08:07};
-- それだけでは、ダメだと思います。&br;PukiWiki のhttp_request 関数のパラメータは、$url, $method という順番で始まりますが、&br;PHP のhttp_request 関数は、$method , $url という順番で始まるので、&br;http_request 関数を使っているamazon.inc.php やshowrss.inc.php に影響が出ます。&br;PukiWiki のをPHP にあわせる修正が必要になるかも。 --  &new{2007-11-15 (木) 21:04:40};
-- でなければ、PukiWiki 専用のhttp_request ということで、pukiwiki_http_request に改名するとか。 --  &new{2007-11-15 (木) 21:19:53};

#comment

トップ   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Site admin: PukiWiki Development Team

PukiWiki 1.5.2+ © 2001-2019 PukiWiki Development Team. Powered by PHP 5.6.40-0+deb8u8. HTML convert time: 0.066 sec.

OSDN